Package net.shibboleth.idp.attribute.filter.spring.impl

# Class AttributeFilterNamespaceHandler

java.lang.Object
net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler
net.shibboleth.idp.attribute.filter.spring.impl.AttributeFilterNamespaceHandler

All Implemented Interfaces:
  `NamespaceHandler`

public class AttributeFilterNamespaceHandler extends BaseSpringNamespaceHandler
Namespace handler for the attribute filtering engine.

## Field Summary

### Fields inherited from class net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler

`DEFAULT_SECONDARY_HANDLER_BASE_LOCATION`

## Constructor Summary

Constructors
Constructor
Description
`AttributeFilterNamespaceHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`

### Methods inherited from class net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler

`decorate, doInit, findParserForElement, parse, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttributeFilterNamespaceHandler

public AttributeFilterNamespaceHandler()

## Method Details

### init

public void init()

Specified by:
  `init` in interface `NamespaceHandler`
Overrides:
  `init` in class `BaseSpringNamespaceHandler`